- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
shift
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Circular shift slong specified dimensions. More...

## Functions
AFAPI array | shift (const array &in, const int x, const int y=0, const int z=0, const int w=0)
AFAPI af_err | af_shift (af_array *out, const af_array in, const int x, const int y, const int z, const int w)

## Detailed Description

Circular shift slong specified dimensions.

Shifts the values in a circular fashion along the specified dimesion.

## Function Documentation

AFAPI af_err af_shift | ( | af_array * | out,
|  | const af_array | in,
|  | const int | x,
|  | const int | y,
|  | const int | z,
|  | const int | w
| ) |  |

Parameters

  [in] | out | is the shifted array
  [in] | in | is the input array
  [in] | x | specifies the shift along first dimension
  [in] | y | specifies the shift along second dimension
  [in] | z | specifies the shift along third dimension
  [in] | w | specifies the shift along fourth dimension

AFAPI array af::shift | ( | const array & | in,
|  | const int | x,
|  | const int | y = `0`,
|  | const int | z = `0`,
|  | const int | w = `0`
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | x | specifies the shift along first dimension
  [in] | y | specifies the shift along second dimension
  [in] | z | specifies the shift along third dimension
  [in] | w | specifies the shift along fourth dimension

Returns
  the shifted output